Record Class CancelTaskParams
java.lang.Object
java.lang.Record
org.a2aproject.sdk.spec.CancelTaskParams
- Record Components:
id- the unique task identifier (required)tenant- optional tenant, provided as a path parametermetadata- optional arbitrary key-value metadata (e.g. cancellation reason)
-
Nested Class Summary
Nested ClassesModifier and TypeClassDescriptionstatic classBuilder for constructing instances. -
Constructor Summary
ConstructorsConstructorDescriptionConvenience constructor with default tenant.Compact constructor for validation. -
Method Summary
Modifier and TypeMethodDescriptionstatic CancelTaskParams.Builderbuilder()Create a new Builderfinal booleanIndicates whether some other object is "equal to" this one.final inthashCode()Returns a hash code value for this object.id()Returns the value of theidrecord component.metadata()Returns the value of themetadatarecord component.@Nullable Stringtenant()Returns the value of thetenantrecord component.final StringtoString()Returns a string representation of this record class.
-
Constructor Details
-
CancelTaskParams
-
CancelTaskParams
Convenience constructor with default tenant.- Parameters:
id- the task identifier (required)
-
-
Method Details
-
builder
-
toString
-
hashCode
-
equals
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared withObjects::equals(Object,Object). -
id
-
tenant
-
metadata
-